<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" lang="en-US">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=11"/>
<meta name="generator" content="Doxygen 1.9.5"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>DayZ: RaycastRVParams Class Reference</title>
<link href="../../tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../jquery.js"></script>
<script type="text/javascript" src="../../dynsections.js"></script>
<link href="../../navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../resize.js"></script>
<script type="text/javascript" src="../../navtreedata.js"></script>
<script type="text/javascript" src="../../navtree.js"></script>
<link href="../../search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="../../search/searchdata.js"></script>
<script type="text/javascript" src="../../search/search.js"></script>
<link href="../../doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr id="projectrow">
  <td id="projectlogo"><img alt="Logo" src="../../doxygen_light.png"/></td>
  <td id="projectalign">
   <div id="projectname">DayZ<span id="projectnumber">&#160;1.19.155390</span>
   </div>
   <div id="projectbrief">DayZ Script Documentation Courtecy of P4K1TZ</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.9.5 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
var searchBox = new SearchBox("searchBox", "../../search/",'.html');
/* @license-end */
</script>
<script type="text/javascript" src="../../menudata.js"></script>
<script type="text/javascript" src="../../menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(function() {
  initMenu('../../',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:d3d9a9a6595521f9666a5e94cc830dab83b65699&amp;dn=expat.txt MIT */
$(document).ready(function(){initNavTree('d9/da4/class_raycast_r_v_params.html','../../'); initResizable(); });
/* @license-end */
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<div id="MSearchResults">
<div class="SRPage">
<div id="SRIndex">
<div id="SRResults"></div>
<div class="SRStatus" id="Loading">Loading...</div>
<div class="SRStatus" id="Searching">Searching...</div>
<div class="SRStatus" id="NoMatches">No Matches</div>
</div>
</div>
</div>
</div>

<div class="header">
  <div class="summary">
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a>  </div>
  <div class="headertitle"><div class="title">RaycastRVParams Class Reference</div></div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-methods" name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:a968fa329bdea6f459b57d6ced4cc9b40"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/da4/class_raycast_r_v_params.html#a968fa329bdea6f459b57d6ced4cc9b40">RaycastRVParams</a> (<a class="el" href="../../d7/dfc/classvector.html">vector</a> vBeg, <a class="el" href="../../d7/dfc/classvector.html">vector</a> vEnd, <a class="el" href="../../d8/d83/class_object.html">Object</a> pIgnore=null, <a class="el" href="../../d4/dc3/classfloat.html">float</a> fRadius=0.0)</td></tr>
<tr class="separator:a968fa329bdea6f459b57d6ced4cc9b40"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a id="pri-attribs" name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a910dbea4f2f13f5d36ae62c2d8342d61"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/da4/class_raycast_r_v_params.html#a910dbea4f2f13f5d36ae62c2d8342d61">begPos</a></td></tr>
<tr class="memdesc:a910dbea4f2f13f5d36ae62c2d8342d61"><td class="mdescLeft">&#160;</td><td class="mdescRight">begin position of raycast (e.g. player position)  <a href="../../d9/da4/class_raycast_r_v_params.html#a910dbea4f2f13f5d36ae62c2d8342d61">More...</a><br /></td></tr>
<tr class="separator:a910dbea4f2f13f5d36ae62c2d8342d61"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0ccc6e8bf71791f5fdd65f48e80fbc6e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/da4/class_raycast_r_v_params.html#a0ccc6e8bf71791f5fdd65f48e80fbc6e">endPos</a></td></tr>
<tr class="memdesc:a0ccc6e8bf71791f5fdd65f48e80fbc6e"><td class="mdescLeft">&#160;</td><td class="mdescRight">end position of raycast (e.g. player direction)  <a href="../../d9/da4/class_raycast_r_v_params.html#a0ccc6e8bf71791f5fdd65f48e80fbc6e">More...</a><br /></td></tr>
<tr class="separator:a0ccc6e8bf71791f5fdd65f48e80fbc6e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ad7c936745c7f8521b19036dc6a9ed945"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/da4/class_raycast_r_v_params.html#ad7c936745c7f8521b19036dc6a9ed945">ignore</a></td></tr>
<tr class="memdesc:ad7c936745c7f8521b19036dc6a9ed945"><td class="mdescLeft">&#160;</td><td class="mdescRight">ignore this object in collision, used only if groundOnly is false  <a href="../../d9/da4/class_raycast_r_v_params.html#ad7c936745c7f8521b19036dc6a9ed945">More...</a><br /></td></tr>
<tr class="separator:ad7c936745c7f8521b19036dc6a9ed945"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a690cf062af81fd33677683905d9e992e"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/da4/class_raycast_r_v_params.html#a690cf062af81fd33677683905d9e992e">with</a></td></tr>
<tr class="memdesc:a690cf062af81fd33677683905d9e992e"><td class="mdescLeft">&#160;</td><td class="mdescRight">ignore object with this object, otherwise collision hits, used only if groundOnly is false  <a href="../../d9/da4/class_raycast_r_v_params.html#a690cf062af81fd33677683905d9e992e">More...</a><br /></td></tr>
<tr class="separator:a690cf062af81fd33677683905d9e992e"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a8d1936df4c82f8b0b19987eb9d38a840"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/da4/class_raycast_r_v_params.html#a8d1936df4c82f8b0b19987eb9d38a840">radius</a></td></tr>
<tr class="memdesc:a8d1936df4c82f8b0b19987eb9d38a840"><td class="mdescLeft">&#160;</td><td class="mdescRight">radius along the ray tested  <a href="../../d9/da4/class_raycast_r_v_params.html#a8d1936df4c82f8b0b19987eb9d38a840">More...</a><br /></td></tr>
<tr class="separator:a8d1936df4c82f8b0b19987eb9d38a840"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af093c590a8f6e3610e50dde845edeaeb"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d6/dae/group___debug_shape.html#ga51f3cfd13ef7752ddd89ea32bcccd7d5">CollisionFlags</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/da4/class_raycast_r_v_params.html#af093c590a8f6e3610e50dde845edeaeb">flags</a></td></tr>
<tr class="separator:af093c590a8f6e3610e50dde845edeaeb"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:accefb54bff7ed8a8b5ba1c03d0288162"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/da4/class_raycast_r_v_params.html#accefb54bff7ed8a8b5ba1c03d0288162">type</a></td></tr>
<tr class="separator:accefb54bff7ed8a8b5ba1c03d0288162"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a40efde4f9492cf0c339f43ffa32c526b"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/da4/class_raycast_r_v_params.html#a40efde4f9492cf0c339f43ffa32c526b">sorted</a></td></tr>
<tr class="memdesc:a40efde4f9492cf0c339f43ffa32c526b"><td class="mdescLeft">&#160;</td><td class="mdescRight">used only if groundOnly = false  <a href="../../d9/da4/class_raycast_r_v_params.html#a40efde4f9492cf0c339f43ffa32c526b">More...</a><br /></td></tr>
<tr class="separator:a40efde4f9492cf0c339f43ffa32c526b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a1ff9ebd0e27ebbdb8e81bc86cd52af0c"><td class="memItemLeft" align="right" valign="top"><a class="el" href="../../d9/db9/classbool.html">bool</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="../../d9/da4/class_raycast_r_v_params.html#a1ff9ebd0e27ebbdb8e81bc86cd52af0c">groundOnly</a></td></tr>
<tr class="memdesc:a1ff9ebd0e27ebbdb8e81bc86cd52af0c"><td class="mdescLeft">&#160;</td><td class="mdescRight">raycasts only ground (ignores all objects). Default value is false if not needed.  <a href="../../d9/da4/class_raycast_r_v_params.html#a1ff9ebd0e27ebbdb8e81bc86cd52af0c">More...</a><br /></td></tr>
<tr class="separator:a1ff9ebd0e27ebbdb8e81bc86cd52af0c"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<div class="textblock"><p ><a class="el" href="../../d4/d7b/class_input.html">Input</a> parameters for RaycastRVProxy function. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html#l00045">45</a> of file <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html">DayZPhysics.c</a>.</p>
</div><h2 class="groupheader">Constructor &amp; Destructor Documentation</h2>
<a id="a968fa329bdea6f459b57d6ced4cc9b40" name="a968fa329bdea6f459b57d6ced4cc9b40"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a968fa329bdea6f459b57d6ced4cc9b40">&#9670;&#160;</a></span>RaycastRVParams()</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname">void RaycastRVParams::RaycastRVParams </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>vBeg</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d7/dfc/classvector.html">vector</a>&#160;</td>
          <td class="paramname"><em>vEnd</em>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d8/d83/class_object.html">Object</a>&#160;</td>
          <td class="paramname"><em>pIgnore</em> = <code>null</code>, </td>
        </tr>
        <tr>
          <td class="paramkey"></td>
          <td></td>
          <td class="paramtype"><a class="el" href="../../d4/dc3/classfloat.html">float</a>&#160;</td>
          <td class="paramname"><em>fRadius</em> = <code>0.0</code>&#160;</td>
        </tr>
        <tr>
          <td></td>
          <td>)</td>
          <td></td><td></td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">inline</span><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p class="definition">Definition at line <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html#l00074">74</a> of file <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html">DayZPhysics.c</a>.</p>

</div>
</div>
<h2 class="groupheader">Field Documentation</h2>
<a id="a910dbea4f2f13f5d36ae62c2d8342d61" name="a910dbea4f2f13f5d36ae62c2d8342d61"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a910dbea4f2f13f5d36ae62c2d8342d61">&#9670;&#160;</a></span>begPos</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> RaycastRVParams::begPos</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>begin position of raycast (e.g. player position) </p>

<p class="definition">Definition at line <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html#l00047">47</a> of file <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html">DayZPhysics.c</a>.</p>

</div>
</div>
<a id="a0ccc6e8bf71791f5fdd65f48e80fbc6e" name="a0ccc6e8bf71791f5fdd65f48e80fbc6e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a0ccc6e8bf71791f5fdd65f48e80fbc6e">&#9670;&#160;</a></span>endPos</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d7/dfc/classvector.html">vector</a> RaycastRVParams::endPos</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>end position of raycast (e.g. player direction) </p>

<p class="definition">Definition at line <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html#l00048">48</a> of file <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html">DayZPhysics.c</a>.</p>

</div>
</div>
<a id="af093c590a8f6e3610e50dde845edeaeb" name="af093c590a8f6e3610e50dde845edeaeb"></a>
<h2 class="memtitle"><span class="permalink"><a href="#af093c590a8f6e3610e50dde845edeaeb">&#9670;&#160;</a></span>flags</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d6/dae/group___debug_shape.html#ga51f3cfd13ef7752ddd89ea32bcccd7d5">CollisionFlags</a> RaycastRVParams::flags</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >Sets the raycast behaviour in terms of result. </p><dl class="section see"><dt>See also</dt><dd><a class="el" href="../../d6/dae/group___debug_shape.html#ga51f3cfd13ef7752ddd89ea32bcccd7d5">CollisionFlags</a> </dd></dl>

<p class="definition">Definition at line <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html#l00059">59</a> of file <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html">DayZPhysics.c</a>.</p>

</div>
</div>
<a id="a1ff9ebd0e27ebbdb8e81bc86cd52af0c" name="a1ff9ebd0e27ebbdb8e81bc86cd52af0c"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a1ff9ebd0e27ebbdb8e81bc86cd52af0c">&#9670;&#160;</a></span>groundOnly</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> RaycastRVParams::groundOnly</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>raycasts only ground (ignores all objects). Default value is false if not needed. </p>

<p class="definition">Definition at line <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html#l00072">72</a> of file <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html">DayZPhysics.c</a>.</p>

</div>
</div>
<a id="ad7c936745c7f8521b19036dc6a9ed945" name="ad7c936745c7f8521b19036dc6a9ed945"></a>
<h2 class="memtitle"><span class="permalink"><a href="#ad7c936745c7f8521b19036dc6a9ed945">&#9670;&#160;</a></span>ignore</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d83/class_object.html">Object</a> RaycastRVParams::ignore</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>ignore this object in collision, used only if groundOnly is false </p>

<p class="definition">Definition at line <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html#l00050">50</a> of file <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html">DayZPhysics.c</a>.</p>

</div>
</div>
<a id="a8d1936df4c82f8b0b19987eb9d38a840" name="a8d1936df4c82f8b0b19987eb9d38a840"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a8d1936df4c82f8b0b19987eb9d38a840">&#9670;&#160;</a></span>radius</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d4/dc3/classfloat.html">float</a> RaycastRVParams::radius</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>radius along the ray tested </p>

<p class="definition">Definition at line <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html#l00053">53</a> of file <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html">DayZPhysics.c</a>.</p>

</div>
</div>
<a id="a40efde4f9492cf0c339f43ffa32c526b" name="a40efde4f9492cf0c339f43ffa32c526b"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a40efde4f9492cf0c339f43ffa32c526b">&#9670;&#160;</a></span>sorted</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d9/db9/classbool.html">bool</a> RaycastRVParams::sorted</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>used only if groundOnly = false </p>

<p class="definition">Definition at line <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html#l00071">71</a> of file <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html">DayZPhysics.c</a>.</p>

</div>
</div>
<a id="accefb54bff7ed8a8b5ba1c03d0288162" name="accefb54bff7ed8a8b5ba1c03d0288162"></a>
<h2 class="memtitle"><span class="permalink"><a href="#accefb54bff7ed8a8b5ba1c03d0288162">&#9670;&#160;</a></span>type</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d5/dc2/_cache_object_8c.html#a2dd3d4ba19a58e86cd16f281a6b82c8e">int</a> RaycastRVParams::type</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">
<p >type of intersection, possible values ObjIntersectFire(0), ObjIntersectView(1), ObjIntersectGeom(2), ObjIntersectIFire(3), ObjIntersectNone(4) </p>

<p class="definition">Definition at line <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html#l00069">69</a> of file <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html">DayZPhysics.c</a>.</p>

</div>
</div>
<a id="a690cf062af81fd33677683905d9e992e" name="a690cf062af81fd33677683905d9e992e"></a>
<h2 class="memtitle"><span class="permalink"><a href="#a690cf062af81fd33677683905d9e992e">&#9670;&#160;</a></span>with</h2>

<div class="memitem">
<div class="memproto">
<table class="mlabels">
  <tr>
  <td class="mlabels-left">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="../../d8/d83/class_object.html">Object</a> RaycastRVParams::with</td>
        </tr>
      </table>
  </td>
  <td class="mlabels-right">
<span class="mlabels"><span class="mlabel">private</span></span>  </td>
  </tr>
</table>
</div><div class="memdoc">

<p>ignore object with this object, otherwise collision hits, used only if groundOnly is false </p>

<p class="definition">Definition at line <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html#l00051">51</a> of file <a class="el" href="../../d6/de4/_day_z_physics_8c_source.html">DayZPhysics.c</a>.</p>

</div>
</div>
<hr/>The documentation for this class was generated from the following file:<ul>
<li>scripts/3_Game/Global/<a class="el" href="../../d6/de4/_day_z_physics_8c_source.html">DayZPhysics.c</a></li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="navelem"><a class="el" href="../../d9/da4/class_raycast_r_v_params.html">RaycastRVParams</a></li>
    <li class="footer">Generated by <a href="https://www.doxygen.org/index.html"><img class="footer" src="../../doxygen.svg" width="104" height="31" alt="doxygen"/></a> 1.9.5 </li>
  </ul>
</div>
</body>
</html>
